<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>count_chars</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Z&auml;hlt die H&auml;ufigkeit von Zeichen durch Vorgabekriterien">
<meta name="keywords"       content="SELFPHP, PHP, String-Funktionen, count_chars">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-24T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/string_funktionen/count_chars.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-24T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // String-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>String-Funktionen</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
<td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>count_chars</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">mixed <b>count_chars</b>(string string 
      [, mode])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 4 &gt;= 4.0b4</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="269">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit count_chars() k&ouml;nnen Sie z&auml;hlen, wie oft in einer Zeichenkette 
        (string) jedes<br>
        Zeichen der ASCII-Zeichentabelle (0 - 255) vorkommt. Der Parameter mode 
        legt<br>
        fest, in welcher Form die Funktion ihre Ergebnisse zur&uuml;ckgibt. Wird 
        der optionale<br>
        Parameter (mode) nicht angegeben, so wird die Grundeinstellung &quot;0&quot; 
        genommen.</p>
      <p>Folgende Werte sind f&uuml;r den Parameter mode zul&auml;ssig:<br>
        0 - Funktionsergebnis ist ein Array. Es enth&auml;lt alle 255 Zeichen 
        mit der<br>
        H&auml;ufigkeit des Zeichens.<br>
        1 - Funktionsergebnis ist ein Array. Es enth&auml;lt nur die Zeichen, 
        die in dem zu<br>
        untersuchenden String vorkommen, mit der H&auml;ufigkeit des Zeichens. 
        <br>
        2 - Funktionsergebnis ist ein Array. Es enth&auml;lt nur die Zeichen, 
        die in dem zu<br>
        untersuchenden String nicht vorkommen. <br>
        3 - Funktionsergebnis ist ein String. Dieser String enth&auml;lt alle 
        Zeichen, die in dem<br>
        zu untersuchenden String vorkommen.<br>
        4 - Funktionsergebnis ist ein String. Dieser String enth&auml;lt alle 
        Zeichen, die in dem<br>
        zu untersuchenden String nicht vorkommen.</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$array = array(&quot;PHP&quot;,&quot;ASP&quot;,&quot;Perl&quot;,&quot;Java&quot;,&quot;XML&quot;); <br>for($y=0;$y&lt;=4;$y++){<br>  $string = count_chars($array[$y],$y);<br>  switch($y){<br>    case 0:<br>      echo &quot;&lt;b&gt;Parameter: &quot;.$y . &quot;&lt;/b&gt;&lt;br&gt;&quot;;<br>      for($x=0;$x&lt;=255;$x++) { <br>        if($string[$x])  <br>        echo &quot;Zeichen &quot;.chr($x).&quot; - Vorkommen: &quot;.$string[$x] . &quot; x&lt;br&gt;&quot;;   <br>      }<br>      break;   <br>    case 1:<br>      echo &quot;&lt;b&gt;Parameter: &quot;.$y . &quot;&lt;/b&gt;&lt;br&gt;&quot;;<br>      for($x=0;$x&lt;=255;$x++) {  <br>        if($string[$x]) <br>        echo &quot;Zeichen &quot;.chr($x).&quot; - Vorkommen: &quot;.$string[$x] . &quot; x&lt;br&gt;&quot;;   <br>      }<br>      break;<br>    case 2:<br>      echo &quot;&lt;b&gt;Parameter: &quot;.$y . &quot;&lt;/b&gt;&lt;br&gt;&quot;;<br>      for($x=0;$x&lt;=255;$x++) {   <br>        if(!$string[$x])<br>          echo chr($x);   <br>      }    <br>      break;<br>    case 3:<br>      echo &quot;&lt;b&gt;&lt;br&gt;Parameter: &quot;.$y . &quot;&lt;/b&gt;&lt;br&gt;&quot;;<br>      echo $string . &quot;&lt;br&gt;&quot;;<br>      break;<br>    case 4:<br>      echo &quot;&lt;b&gt;Parameter: &quot;.$y . &quot;&lt;/b&gt;&lt;br&gt;&quot;; <br>      echo $string . &quot;&lt;br&gt;&quot;;<br>      break; <br>  }<br>}<br>?&gt;</pre>
      <p></p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p><b>Parameter: 0</b><br>
        Zeichen H - Vorkommen: 1 x<br>
        Zeichen P - Vorkommen: 2 x<br>
        <b>Parameter: 1</b><br>
        Zeichen A - Vorkommen: 1 x<br>
        Zeichen P - Vorkommen: 1 x<br>
        Zeichen S - Vorkommen: 1 x<br>
        <b>Parameter: 2</b><br>
        !&quot;#$%&amp;'()*+,-./0123456789:;&lt;=&gt;?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~&euro;&#129;&#130;&#131;&quot;&#133;&#134;&#135;&#136;&#137;&#138;&#139;&#140;&#141;&#142;&#143;&#144;''&quot;&quot;o--&#152;&#153;&#154;&#155;&#156;&#157;&#158;&#159; 
        &iexcl;&cent;&pound;&curren;&yen;&brvbar;&sect;&uml;&copy;&ordf;&quot;&shy;&reg;&macr;&deg;&plusmn;&sup2;&sup3;&acute;&micro;&middot;&cedil;&sup1;&ordm;&quot;&frac14;&frac12;&frac34;&iquest;&Agrave;&Aacute;&Acirc;&Atilde;&Auml;&Aring;&AElig;&Ccedil;&Egrave;&Eacute;&Ecirc;&Euml;&Igrave;&Iacute;&Icirc;&Iuml;&ETH;&Ntilde;&Ograve;&Oacute;&Ocirc;&Otilde;&Ouml;&times;&Oslash;&Ugrave;&Uacute;&Ucirc;&Uuml;&Yacute;&THORN;&szlig;&agrave;&aacute;&acirc;&atilde;&auml;&aring;&aelig;&ccedil;&egrave;&eacute;&ecirc;&euml;&igrave;&iacute;&icirc;&iuml;&eth;&ntilde;&ograve;&oacute;&ocirc;&otilde;&ouml;&divide;&oslash;&ugrave;&uacute;&ucirc;&uuml;&yacute;&thorn;&yuml;<br>
        <b>Parameter: 3</b><br>
        Jav<br>
        <b>Parameter: 4</b><br>
        !&quot;#$%&amp;'()*+,-./0123456789:;&lt;=&gt;?@ABCDEFGHIJKNOPQRSTUVWYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~&euro;&#129;&#130;&#131;&quot;&#133;&#134;&#135;&#136;&#137;&#138;&#139;&#140;&#141;&#142;&#143;&#144;''&quot;&quot;o--&#152;&#153;&#154;&#155;&#156;&#157;&#158;&#159; 
        &iexcl;&cent;&pound;&curren;&yen;&brvbar;&sect;&uml;&copy;&ordf;&quot;&shy;&reg;&macr;&deg;&plusmn;&sup2;&sup3;&acute;&micro;&middot;&cedil;&sup1;&ordm;&quot;&frac14;&frac12;&frac34;&iquest;&Agrave;&Aacute;&Acirc;&Atilde;&Auml;&Aring;&AElig;&Ccedil;&Egrave;&Eacute;&Ecirc;&Euml;&Igrave;&Iacute;&Icirc;&Iuml;&ETH;&Ntilde;&Ograve;&Oacute;&Ocirc;&Otilde;&Ouml;&times;&Oslash;&Ugrave;&Uacute;&Ucirc;&Uuml;&Yacute;&THORN;&szlig;&agrave;&aacute;&acirc;&atilde;&auml;&aring;&aelig;&ccedil;&egrave;&eacute;&ecirc;&euml;&igrave;&iacute;&icirc;&iuml;&eth;&ntilde;&ograve;&oacute;&ocirc;&otilde;&ouml;&divide;&oslash;&ugrave;&uacute;&ucirc;&uuml;&yacute;&thorn;&yuml;</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="crc32.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="crc32.html"><b>crc32</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="convert_cyr_string.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="convert_cyr_string.html"><b>convert_cyr_string</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>String-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>